#define gitrev 1da8a93
#define gitdate 20160602
# Git repo: http://cgit.freedesktop.org/nouveau/xf86-video-nouveau/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-nouveau-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-nouveau-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

%define _disable_ld_no_undefined 1

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.15
Release:	3
License:	MIT
Group:		System/X11
Url:		http://nouveau.freedesktop.org/
Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-video-nouveau-%{version}.tar.bz2
#Source0:	xf86-video-nouveau-_{gitdate}-git_{gitrev}.tar.xz

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm) >= 2.4.60
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	libdrm-common
Requires:	kmod(nouveau)
Requires:	udev
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*

#----------------------------------------------------------------------------

%prep
%setup -q -n xf86-video-nouveau-%{version}


%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
